desync(1)

NAME
desync-make - Chunk input file and create index

SYNOPSIS
desync make <index> <file> [flags]

DESCRIPTION
Creates chunks from the input file and builds an index. If a chunk store is provided with -s, such as a local directory or S3 store, it splits the input file according to the index and stores the chunks. Use '-' to write the index to STDOUT.

OPTIONS
--ca-cert=""
    trust authorities in this file, instead of OS trust store

-r, --cache-repair[=true]
    replace invalid chunks in the cache from source

-m, --chunk-size="16:64:256"
    min:avg:max chunk size in kb

--client-cert=""
    path to client certificate for TLS authentication

--client-key=""
    path to client key for TLS authentication

-n, --concurrency=10
    number of concurrent goroutines

-e, --error-retry=3
    number of times to retry in case of network error

-b, --error-retry-base-interval=500ms
    initial retry delay, increases linearly with each subsequent attempt

-h, --help[=false]
    help for make

--print-stats[=false]
    print chunking statistics to stderr when done

-s, --store=""
    target store

-t, --trust-insecure[=false]
    trust invalid certificates

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

EXAMPLE
      desync make -s /path/to/local file.caibx largefile.bin
      desync make -m 8:32:128 - largefile.bin > file.caibx

SEE ALSO
desync(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra